// SPDX-License-Identifier: GPL-2.0-or-later
/*
*  Support for Digigram AlpX PCI-e boards
*
*  Copyright (c) 2024 Digigram Digital (info@digigram.com)
*/


/* This file contains the card centered services */
#ifndef _ALPX_CARDS_H
#define _ALPX_CARDS_H

#include "alpx.h"
#include <sound/core.h>

void alpstereo_print_identity(struct alpx_device *alpx_dev, struct snd_card *card, const unsigned char* label);
void alpmadi_print_identity(struct alpx_device *alpx_dev, struct snd_card *card, const unsigned char* label);
void alpmultichan_print_identity(struct alpx_device *alpx_dev, struct snd_card *card, const unsigned char* label);
void alpdante_print_identity(struct alpx_device *alpx_dev, struct snd_card *card, const unsigned char* label);
int alpdante_card_setup(struct alpx_device *alpx_dev, struct snd_card *card, unsigned int configured_fs, bool is_loopback_enabled);
int alpstereo_finalize_identity(struct alpx_device* alpx_dev);
int alpmultichan_finalize_identity(struct alpx_device* alpx_dev);
int alpdante_finalize_identity(struct alpx_device* alpx_dev);
int alpdante_store_config(struct alpx_device* alpx_dev);
int alpdante_get_dante_name(struct alpx_device* alpx_dev, char* name, unsigned int length);

#endif
