// SPDX-License-Identifier: GPL-2.0-or-later
/*
*  Support for Digigram AlpX PCI-e boards
*
*  Copyright (c) 2024 Digigram Digital (info@digigram.com)
*/

#ifndef _ALPX_GPIOS_H
#define _ALPX_GPIOS_H
#include "alpx.h"

#include <linux/gpio.h>
#include <linux/gpio/driver.h>

int alpx_gpio_get(struct gpio_chip *chip, unsigned offset);
void alpx_gpio_set(struct gpio_chip *chip, unsigned offset,
			int gpio_value);
int alpx_gpio_get_direction(struct gpio_chip *chip, unsigned offset);
int alpx_gpio_direction_output(struct gpio_chip *chip, unsigned offset,
					int gpio_value);
int alpx_gpio_direction_input(struct gpio_chip *chip, unsigned offset);
int alpx_gpio_register(struct alpx_device *alpx_dev, const char* card_name);
void alpx_gpio_unregister(struct alpx_device *alpx_dev);

#endif
