// SPDX-License-Identifier: GPL-2.0-or-later
/*
*  Support for Digigram AlpX PCI-e boards
*
*  Copyright (c) 2024 Digigram Digital (info@digigram.com)
*/

#ifndef _ALPX_LEDS_H
#define _ALPX_LEDS_H

#include "alpx.h"

#include <linux/io.h>

static inline void alpmadi_set_led_state(struct alpx_device *alpx_dev, bool blink)
{
	writel(blink ? 1 : 0, ALPX_REG(alpx_dev, ALPMADI, CONTROL, BLINK_LED));
	
	dev_dbg( alpx_dev->dev,"%s(): LED %s, val:0x%08x/\n", __func__,
		blink ? "On":"Off",readl(ALPX_REG(alpx_dev, ALPMADI, CONTROL, BLINK_LED)));
}

#endif
