// SPDX-License-Identifier: GPL-2.0-or-later
/*
*  Support for Digigram AlpX PCI-e boards
*
*  Copyright (c) 2024 Digigram Digital (info@digigram.com)
*/

#ifndef _ALPX_PROC_H
#define _ALPX_PROC_H

#include "alpx.h"
#include <linux/iopoll.h>

#if defined(CONFIG_ALPX_WITH_PROC_LOG)
int alpx_proc_log_dump(struct alpx_device *alpx_dev);
#else
/* Empty def */
#define alpx_proc_log_dump(p)
#endif

int alpx_proc_cmd(struct alpx_device *alpx_dev, u32 command);
int alpx_proc_probe(struct alpx_device *alpx_dev);
int alpx_proc_remove(struct alpx_device *alpx_dev);


#endif
