// SPDX-License-Identifier: GPL-2.0-or-later
/*
*  Support for Digigram AlpX PCI-e boards
*
*  Copyright (c) 2024 Digigram Digital (info@digigram.com)
*/

#ifndef _ALPX_VARIANTS_DEAD_H_
#define _ALPX_VARIANTS_DEAD_H_

#include "alpx.h"
#include "alpx_reg.h"

#include <sound/tlv.h>
#include "alpx_variants_common.h"


/* DEAD Variant : used for DEAD cards : invalid production zones in Flash */
static const struct alpx_variant alpx_dead_variant = {
	.shortname			= "AlpDEAD",
	.longname			= "Alp DEAD",
	.model				= ALPX_VARIANT_DEAD,
	.mixername			= "Alp DEAD_Mix",
	.features			= 0,
	.control_descriptors		= NULL,
	.control_descriptors_count	= 0,

	.capture_hw = NULL,
	.playback_hw = NULL,
	
	.flash_golden_production_base = ALPxxx_FLASH_GOLDEN_PRODUCTION_BASE,
	
	.gpios = {
	.base = 0,
	.inputs_reg_offset = 0,
	.inputs_qty = 0,
	.outputs_reg_offset = 0,
	.outputs_qty = 0,
	},
	
	.flash_partitions.partitions = alpx_dead_mtd_partitions,
	.flash_partitions.qty = ARRAY_SIZE(alpx_dead_mtd_partitions),
};

#endif /* _ALPX_VARIANTS_DEAD_H_ */
