// SPDX-License-Identifier: GPL-2.0-or-later
/*
*  Support for Digigram AlpX PCI-e boards
*
*  Copyright (c) 2024 Digigram Digital (info@digigram.com)
*/
#ifndef _SND_ALPX_XDMA_H_
#define _SND_ALPX_XDMA_H_

/* dependency check support */
#if (!IS_ENABLED(CONFIG_XILINX_XDMA))  || \
		(KERNEL_VERSION(6, 7, 0) > LINUX_VERSION_CODE)
#warning "USE Package's XDMA module"
 /* snd-alpx-xdma dependency */
	const char* SND_ALPX_XDMA_DEP(void);
#else
/* NO dependency SO required local define*/
static const char* SND_ALPX_XDMA_DEP(void)
{
    return "Internal XDMA support";
}
#endif

#endif /*_SND_ALPX_XDMA_H_*/
